import { Injectable, OnInit } from '@angular/core';
import { stringify } from 'querystring';
import { Tab1Page } from './tab1.page'
import { Discoteca } from '../discoteca'
import { Evento } from '../evento';
import { FormControl, FormGroup } from '@angular/forms';
import { NumericValueAccessor } from '@ionic/angular';


@Injectable({
  providedIn: 'root'
})
export class Tab1Service implements OnInit{

  discoteca: Discoteca;
  galeria: string[];
  eventos: Evento[];
  eventoForms: FormGroup[];
  eventoIndex: number;
  editarEvento: boolean;

  constructor() { 
    
  }

  ngOnInit(){
    this.initValues();
  }

  initValues(): void{
    this.discoteca = new Discoteca();
    this.discoteca.setNombre('Barraca');
    this.discoteca.setTelefono(666666666);
    this.discoteca.setLocalizacion('Calle del Barquillo');
    this.discoteca.setDescripcion('Barraca es una discoteca inaugurada en 1965 que tuvo su gran auge en los años 80, cuando se consolidó como la discoteca de mayor importancia de la movida valenciana, durante la conocida Ruta Destroy.');
    this.galeria = [];
    this.initEventos();
    this.editarEvento = false;
  }

  getNombre(): string{
    this.initValues();
    return this.discoteca.getNombre();
  }

  getTelefono(): number{
    this.initValues();
    return this.discoteca.getTelefono();
  }

  getLocalizacion(): string{
    this.initValues();
    return this.discoteca.getLocalizacion();
  }

  getDescripcion(): string{
    return this.discoteca.getDescripcion();
  }

  getEventos(): Evento[]{
    return this.eventos;
  }

  initEventos(): void{
    this.eventos = [];
  }

  initEventoForms(): void{
    this.eventoForms = [];
  }

  getEventobyIndex(eventoIndex: number){
    return this.eventos[eventoIndex];
  }

}
